### Method

# Aravis UvDevice set_usb_mode

since: 0.8.17

#### Declaration [src]

    void
    arv_uv_device_set_usb_mode (
      ArvUvDevice* uv_device,
      ArvUvUsbMode usb_mode
    )

#### Description [src]

Sets the option to utilize the USB synchronous or asynchronous device I/O API. The default mode is `ARV_UV_USB_MODE_SYNC`, which means USB bulk transfer will be synchronously executed. This mode is qualified to work, but it has the performance issue with some high framerate device. Using `ARV_UV_USB_MODE_ASYNC` possibly improves the bandwidth.

Available since: 0.8.17

#### Parameters

`usb_mode`

  Type: `ArvUvUsbMode`

  A `ArvUvUsbMode` option.